set terminal svg font "arial,10" size 700 900

reset

set output 'plot.svg'
set key bottom right

set grid
set xlabel 'Hardware'
set ylabel 'Gates'
set ytics 20 nomirror
set y2label 'Depth'
set y2tics 20 nomirror

plot "~/tmp/tani-cost/tani.dat"   using 4:2       with lines lt 1 lc 2 axes x1y1 title "tani gates", \
     "~/tmp/tani-cost/grover.dat" using 4:2       with lines lt 2 lc 4 axes x1y1 title "grover gates", \
     "~/tmp/tani-cost/vw.dat"     using 4:2       with lines lt 3 lc 6 axes x1y1 title "vw gates", \
     "~/tmp/tani-cost/tani.dat"   using 4:3       with points pt 1 lc 2 axes x1y1 title "tani depth", \
     "~/tmp/tani-cost/grover.dat" using 4:3       with points pt 4 lc 4 axes x1y1 title "grover depth", \
     "~/tmp/tani-cost/vw.dat"     using 4:3       with points pt 6 lc 6 axes x1y1 title "vw depth"
